ESRIBoundingBox (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.shape
Class ESRIBoundingBox

    java.lang.Object
      com.bbn.openmap.layer.shape.ESRIBoundingBox

    public class ESRIBoundingBox

extends java.lang.Object

A bounding box is a rectangle that fully encloses some number of shapes. The rectangle is represented as four doubles, xmin ymin, xmax, and ymax.

## To Do

- Make addPoint take two doubles to avoid unnecessarily consing ESRIPoints to add to the box.

Version:
  $Revision: 1.3 $ $Date: 2004/10/14 18:06:04 $
Author:
  Ray Tomlinson, Tom Mitchell

Field Summary
`ESRIPoint` | `max` The maximum point.
`ESRIPoint` | `min` The minimum point.

Constructor Summary
`ESRIBoundingBox()` Initialize a null bounding box.
`ESRIBoundingBox(double x, double y)` Initialize a bounding box from two doubles representing a point.
`ESRIBoundingBox(ESRIPoint point)` Initialize a bounding box from a point.
`ESRIBoundingBox(ESRIPoint _min, ESRIPoint _max)` Initialize a bounding box to encompass a minimum and maximum point.

Method Summary
`void` | `addBounds(ESRIBoundingBox bb)` Increase the extents of this bounding box to enclose the given bounding box.
`void` | `addPoint(double x, double y)`
`void` | `addPoint(ESRIPoint point)` Increase the extents of this bounding box to enclose the given point.
`void` | `addPoints(ESRIPoint[] points)` Increase the extents of this bounding box to enclose all of the given points.
`boolean` | `equals(java.lang.Object obj)` Determines equality with another bounding box
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### min

    public ESRIPoint min

  The minimum point.

### max

    public ESRIPoint max

  The maximum point.

Constructor Detail

### ESRIBoundingBox

    public ESRIBoundingBox()

  Initialize a null bounding box. All coordinates are set to zero.

### ESRIBoundingBox

    public ESRIBoundingBox(ESRIPoint point)

  Initialize a bounding box from a point. The bounding box is initialized to encompass the given point.

  Parameters:
    `point` - the point to enclose

### ESRIBoundingBox

    public ESRIBoundingBox(double x,
                           double y)

  Initialize a bounding box from two doubles representing a point. The bounding box is initialized to encompass the given location.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate

### ESRIBoundingBox

    public ESRIBoundingBox(ESRIPoint _min,
                           ESRIPoint _max)

  Initialize a bounding box to encompass a minimum and maximum point. The bounding box is initialized to fully encompass both points.

  Parameters:
    `_min` - a point to enclose
    `_max` - another point to enclose

Method Detail

### addBounds

    public void addBounds(ESRIBoundingBox bb)

  Increase the extents of this bounding box to enclose the given bounding box.

  Parameters:
    `bb` - a bounding box to be enclosed

### addPoints

    public void addPoints(ESRIPoint[] points)

  Increase the extents of this bounding box to enclose all of the given points.

  Parameters:
    `points` - a set of points to enclose

### addPoint

    public void addPoint(ESRIPoint point)

  Increase the extents of this bounding box to enclose the given point.

  Parameters:
    `point` - a point to enclose

### addPoint

    public void addPoint(double x,
                         double y)

### equals

    public boolean equals(java.lang.Object obj)

  Determines equality with another bounding box

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - a candidate object
  Returns:
    `true` if `obj` is of type `ESRIBoundingBox` and the extents of that bounding box match this box's extents. `false` otherwise.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details